package cn.superdesk.uniorder.dao.mapper.thirdpart.qchjc.log;

import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.log.QchjcLogEntity;
import cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.log.QchjcLogEntityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface QchjcLogEntityMapper {
    long countByExample(QchjcLogEntityExample example);

    int deleteByExample(QchjcLogEntityExample example);

    int deleteByPrimaryKey(Long id);

    int insert(QchjcLogEntity record);

    int insertSelective(QchjcLogEntity record);

    List<QchjcLogEntity> selectByExampleWithBLOBs(QchjcLogEntityExample example);

    List<QchjcLogEntity> selectByExample(QchjcLogEntityExample example);

    QchjcLogEntity selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") QchjcLogEntity record, @Param("example") QchjcLogEntityExample example);

    int updateByExampleWithBLOBs(@Param("record") QchjcLogEntity record, @Param("example") QchjcLogEntityExample example);

    int updateByExample(@Param("record") QchjcLogEntity record, @Param("example") QchjcLogEntityExample example);

    int updateByPrimaryKeySelective(QchjcLogEntity record);

    int updateByPrimaryKeyWithBLOBs(QchjcLogEntity record);

    int updateByPrimaryKey(QchjcLogEntity record);
}